local PushShumeiExceptionLevelMessage = BaseClass("PushShumeiExceptionLevelMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self, param)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.AccountManager:OnPushShumeiExceptionLevel(t)
  end
end
PushShumeiExceptionLevelMessage.OnCreate = OnCreate
PushShumeiExceptionLevelMessage.HandleMessage = HandleMessage
return PushShumeiExceptionLevelMessage
